+ case ${BAKEFILE_HOST} in
+ *-*-cygwin* | *-*-mingw32* )
+ if test "$build" != "$host" ; then
+ RESCOMP=$host_alias-windres
+ else
+ # Extract the first word of "windres", so it can be a program name with args.
+set dummy windres; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_prog_RESCOMP+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ if test -n "$RESCOMP"; then
+ ac_cv_prog_RESCOMP="$RESCOMP" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+ IFS=$as_save_IFS
+ test -z "$as_dir" && as_dir=.
+ for ac_exec_ext in '' $ac_executable_extensions; do
+ if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+ ac_cv_prog_RESCOMP="windres"
+ echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+ break 2
+ fi
+done
+done
+
+ test -z "$ac_cv_prog_RESCOMP" && ac_cv_prog_RESCOMP="windres"
+fi
+fi
+RESCOMP=$ac_cv_prog_RESCOMP
+if test -n "$RESCOMP"; then
+ echo "$as_me:$LINENO: result: $RESCOMP" >&5
+echo "${ECHO_T}$RESCOMP" >&6
+else
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+ fi
+ ;;
+
+ *-*-darwin* )
+ # Extract the first word of "Rez", so it can be a program name with args.
+set dummy Rez; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_prog_RESCOMP+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ if test -n "$RESCOMP"; then
+ ac_cv_prog_RESCOMP="$RESCOMP" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+ IFS=$as_save_IFS
+ test -z "$as_dir" && as_dir=.
+ for ac_exec_ext in '' $ac_executable_extensions; do
+ if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+ ac_cv_prog_RESCOMP="Rez"
+ echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+ break 2
+ fi
+done
+done
+
+ test -z "$ac_cv_prog_RESCOMP" && ac_cv_prog_RESCOMP="/Developer/Tools/Rez"
+fi
+fi
+RESCOMP=$ac_cv_prog_RESCOMP
+if test -n "$RESCOMP"; then
+ echo "$as_me:$LINENO: result: $RESCOMP" >&5
+echo "${ECHO_T}$RESCOMP" >&6
+else
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+ # Extract the first word of "SetFile", so it can be a program name with args.
+set dummy SetFile; ac_word=$2
+echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+if test "${ac_cv_prog_SETFILE+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ if test -n "$SETFILE"; then
+ ac_cv_prog_SETFILE="$SETFILE" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+ IFS=$as_save_IFS
+ test -z "$as_dir" && as_dir=.
+ for ac_exec_ext in '' $ac_executable_extensions; do
+ if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+ ac_cv_prog_SETFILE="SetFile"
+ echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+ break 2
+ fi
+done
+done
+
+ test -z "$ac_cv_prog_SETFILE" && ac_cv_prog_SETFILE="/Developer/Tools/SetFile"
+fi
+fi
+SETFILE=$ac_cv_prog_SETFILE
+if test -n "$SETFILE"; then
+ echo "$as_me:$LINENO: result: $SETFILE" >&5
+echo "${ECHO_T}$SETFILE" >&6
+else
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+fi
+
+ ;;
+ esac
+
+
+
+
+
+
+BAKEFILE_AUTOCONF_INC_M4_VERSION="0.1.4"
+
+
+
+ # Check whether --enable-precomp-headers or --disable-precomp-headers was given.
+if test "${enable_precomp_headers+set}" = set; then
+ enableval="$enable_precomp_headers"
+ bk_use_pch="$enableval"
+fi;
+
+ GCC_PCH=0
+
+ if test "x$bk_use_pch" = "x" -o "x$bk_use_pch" = "xyes" ; then
+ if test "x$GCC" = "xyes"; then
+ echo "$as_me:$LINENO: checking if the compiler supports precompiled headers" >&5
+echo $ECHO_N "checking if the compiler supports precompiled headers... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+int
+main ()
+{
+
+ #if !defined(__GNUC__) || !defined(__GNUC_MINOR__)
+ #error "no pch support"
+ #endif
+ #if (__GNUC__ < 3)
+ #error "no pch support"
+ #endif
+ #if (__GNUC__ == 3) && \
+ ((!defined(__APPLE_CC__) && (__GNUC_MINOR__ < 4)) || \
+ ( defined(__APPLE_CC__) && (__GNUC_MINOR__ < 3)))
+ #error "no pch support"
+ #endif
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+ CPPFLAGS="-fpch-deps $CPPFLAGS"
+ GCC_PCH=1
+
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+ if test $GCC_PCH = 1 ; then
+ cat <<EOF >bk-make-pch
+#!/bin/sh
+
+# This script is part of Bakefile (http://bakefile.sourceforge.net) autoconf
+# script. It is used to generated precompiled headers.
+#
+# Permission is given to use this file in any way.
+
+outfile="\${1}"
+header="\${2}"
+shift
+shift
+
+compiler=
+headerfile=
+while test \${#} -gt 0; do
+ case "\${1}" in
+ -I* )
+ incdir=\`echo \${1} | sed -e 's/-I\(.*\)/\1/g'\`
+ if test "x\${headerfile}" = "x" -a -f "\${incdir}/\${header}" ; then
+ headerfile="\${incdir}/\${header}"
+ fi
+ ;;
+ esac
+ compiler="\${compiler} \${1}"
+ shift
+done
+
+if test "x\${headerfile}" = "x" ; then
+ echo "error: can't find header \${header} in include paths" >2
+else
+ if test -f \${outfile} ; then
+ rm -f \${outfile}
+ else
+ mkdir -p \`dirname \${outfile}\`
+ fi
+ depsfile=".deps/\`basename \${outfile}\`.d"
+ mkdir -p .deps
+ # can do this because gcc is >= 3.4:
+ \${compiler} -o \${outfile} -MMD -MF "\${depsfile}" "\${headerfile}"
+ exit \${?}
+fi
+EOF
+ chmod +x bk-make-pch
+ fi
+ fi
+ fi
+
+
+
+
+
+
+
+ # Check whether --enable-precomp-headers or --disable-precomp-headers was given.
+if test "${enable_precomp_headers+set}" = set; then
+ enableval="$enable_precomp_headers"
+ bk_use_pch="$enableval"
+fi;
+
+ GCC_PCH=0
+
+ if test "x$bk_use_pch" = "x" -o "x$bk_use_pch" = "xyes" ; then
+ if test "x$GCC" = "xyes"; then
+ echo "$as_me:$LINENO: checking if the compiler supports precompiled headers" >&5
+echo $ECHO_N "checking if the compiler supports precompiled headers... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+int
+main ()
+{
+
+ #if !defined(__GNUC__) || !defined(__GNUC_MINOR__)
+ #error "no pch support"
+ #endif
+ #if (__GNUC__ < 3)
+ #error "no pch support"
+ #endif
+ #if (__GNUC__ == 3) && \
+ ((!defined(__APPLE_CC__) && (__GNUC_MINOR__ < 4)) || \
+ ( defined(__APPLE_CC__) && (__GNUC_MINOR__ < 3)))
+ #error "no pch support"
+ #endif
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+ CPPFLAGS="-fpch-deps $CPPFLAGS"
+ GCC_PCH=1
+
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+ if test $GCC_PCH = 1 ; then
+ cat <<EOF >bk-make-pch
+#!/bin/sh
+
+# This script is part of Bakefile (http://bakefile.sourceforge.net) autoconf
+# script. It is used to generated precompiled headers.
+#
+# Permission is given to use this file in any way.
+
+outfile="\${1}"
+header="\${2}"
+shift
+shift
+
+compiler=
+headerfile=
+while test \${#} -gt 0; do
+ case "\${1}" in
+ -I* )
+ incdir=\`echo \${1} | sed -e 's/-I\(.*\)/\1/g'\`
+ if test "x\${headerfile}" = "x" -a -f "\${incdir}/\${header}" ; then
+ headerfile="\${incdir}/\${header}"
+ fi
+ ;;
+ esac
+ compiler="\${compiler} \${1}"
+ shift
+done
+
+if test "x\${headerfile}" = "x" ; then
+ echo "error: can't find header \${header} in include paths" >2
+else
+ if test -f \${outfile} ; then
+ rm -f \${outfile}
+ else
+ mkdir -p \`dirname \${outfile}\`
+ fi
+ depsfile=".deps/\`basename \${outfile}\`.d"
+ mkdir -p .deps
+ # can do this because gcc is >= 3.4:
+ \${compiler} -o \${outfile} -MMD -MF "\${depsfile}" "\${headerfile}"
+ exit \${?}
+fi
+EOF
+ chmod +x bk-make-pch
+ fi
+ fi
+ fi
+
+
+
+
+ COND_BUILD_DEBUG="#"
+ if test "x$BUILD" = "xdebug" ; then
+ COND_BUILD_DEBUG=""
+ fi
+
+ COND_BUILD_DEBUG_DEBUG_FLAG_DEFAULT="#"
+ if test "x$BUILD" = "xdebug" -a "x$DEBUG_FLAG" = "xdefault" ; then
+ COND_BUILD_DEBUG_DEBUG_FLAG_DEFAULT=""
+ fi
+
+ COND_BUILD_DEBUG_DEBUG_INFO_DEFAULT="#"
+ if test "x$BUILD" = "xdebug" -a "x$DEBUG_INFO" = "xdefault" ; then
+ COND_BUILD_DEBUG_DEBUG_INFO_DEFAULT=""
+ fi
+
+ COND_BUILD_DEBUG_UNICODE_0="#"
+ if test "x$BUILD" = "xdebug" -a "x$UNICODE" = "x0" ; then
+ COND_BUILD_DEBUG_UNICODE_0=""
+ fi
+
+ COND_BUILD_DEBUG_UNICODE_1="#"
+ if test "x$BUILD" = "xdebug" -a "x$UNICODE" = "x1" ; then
+ COND_BUILD_DEBUG_UNICODE_1=""
+ fi
+
+ COND_BUILD_RELEASE="#"
+ if test "x$BUILD" = "xrelease" ; then
+ COND_BUILD_RELEASE=""
+ fi
+
+ COND_BUILD_RELEASE_DEBUG_INFO_DEFAULT="#"
+ if test "x$BUILD" = "xrelease" -a "x$DEBUG_INFO" = "xdefault" ; then
+ COND_BUILD_RELEASE_DEBUG_INFO_DEFAULT=""
+ fi
+
+ COND_BUILD_RELEASE_UNICODE_0="#"
+ if test "x$BUILD" = "xrelease" -a "x$UNICODE" = "x0" ; then
+ COND_BUILD_RELEASE_UNICODE_0=""
+ fi
+
+ COND_BUILD_RELEASE_UNICODE_1="#"
+ if test "x$BUILD" = "xrelease" -a "x$UNICODE" = "x1" ; then
+ COND_BUILD_RELEASE_UNICODE_1=""
+ fi
+
+ COND_DEBUG_FLAG_1="#"
+ if test "x$DEBUG_FLAG" = "x1" ; then
+ COND_DEBUG_FLAG_1=""
+ fi
+
+ COND_DEBUG_INFO_0="#"
+ if test "x$DEBUG_INFO" = "x0" ; then
+ COND_DEBUG_INFO_0=""
+ fi
+
+ COND_DEBUG_INFO_1="#"
+ if test "x$DEBUG_INFO" = "x1" ; then
+ COND_DEBUG_INFO_1=""
+ fi
+
+ COND_DEPS_TRACKING_0="#"
+ if test "x$DEPS_TRACKING" = "x0" ; then
+ COND_DEPS_TRACKING_0=""
+ fi
+
+ COND_DEPS_TRACKING_1="#"
+ if test "x$DEPS_TRACKING" = "x1" ; then
+ COND_DEPS_TRACKING_1=""
+ fi
+
+ COND_GCC_PCH_1="#"
+ if test "x$GCC_PCH" = "x1" ; then
+ COND_GCC_PCH_1=""
+ fi
+
+ COND_MONOLITHIC_0="#"
+ if test "x$MONOLITHIC" = "x0" ; then
+ COND_MONOLITHIC_0=""
+ fi
+
+ COND_MONOLITHIC_0_SHARED_0="#"
+ if test "x$MONOLITHIC" = "x0" -a "x$SHARED" = "x0" ; then
+ COND_MONOLITHIC_0_SHARED_0=""
+ fi
+
+ COND_MONOLITHIC_0_SHARED_0_USE_GUI_1="#"
+ if test "x$MONOLITHIC" = "x0" -a "x$SHARED" = "x0" -a "x$USE_GUI" = "x1" ; then
+ COND_MONOLITHIC_0_SHARED_0_USE_GUI_1=""
+ fi
+
+ COND_MONOLITHIC_0_SHARED_0_USE_GUI_1_USE_ODBC_1="#"
+ if test "x$MONOLITHIC" = "x0" -a "x$SHARED" = "x0" -a "x$USE_GUI" = "x1" -a "x$USE_ODBC" = "x1" ; then
+ COND_MONOLITHIC_0_SHARED_0_USE_GUI_1_USE_ODBC_1=""
+ fi
+
+ COND_MONOLITHIC_0_SHARED_0_USE_HTML_1="#"
+ if test "x$MONOLITHIC" = "x0" -a "x$SHARED" = "x0" -a "x$USE_HTML" = "x1" ; then
+ COND_MONOLITHIC_0_SHARED_0_USE_HTML_1=""
+ fi
+
+ COND_MONOLITHIC_0_SHARED_0_USE_ODBC_1="#"
+ if test "x$MONOLITHIC" = "x0" -a "x$SHARED" = "x0" -a "x$USE_ODBC" = "x1" ; then
+ COND_MONOLITHIC_0_SHARED_0_USE_ODBC_1=""
+ fi
+
+ COND_MONOLITHIC_0_SHARED_1="#"
+ if test "x$MONOLITHIC" = "x0" -a "x$SHARED" = "x1" ; then
+ COND_MONOLITHIC_0_SHARED_1=""
+ fi
+
+ COND_MONOLITHIC_0_SHARED_1_USE_GUI_1="#"
+ if test "x$MONOLITHIC" = "x0" -a "x$SHARED" = "x1" -a "x$USE_GUI" = "x1" ; then
+ COND_MONOLITHIC_0_SHARED_1_USE_GUI_1=""
+ fi
+
+ COND_MONOLITHIC_0_SHARED_1_USE_GUI_1_USE_ODBC_1="#"
+ if test "x$MONOLITHIC" = "x0" -a "x$SHARED" = "x1" -a "x$USE_GUI" = "x1" -a "x$USE_ODBC" = "x1" ; then
+ COND_MONOLITHIC_0_SHARED_1_USE_GUI_1_USE_ODBC_1=""
+ fi
+
+ COND_MONOLITHIC_0_SHARED_1_USE_HTML_1="#"
+ if test "x$MONOLITHIC" = "x0" -a "x$SHARED" = "x1" -a "x$USE_HTML" = "x1" ; then
+ COND_MONOLITHIC_0_SHARED_1_USE_HTML_1=""
+ fi
+
+ COND_MONOLITHIC_0_SHARED_1_USE_ODBC_1="#"
+ if test "x$MONOLITHIC" = "x0" -a "x$SHARED" = "x1" -a "x$USE_ODBC" = "x1" ; then
+ COND_MONOLITHIC_0_SHARED_1_USE_ODBC_1=""
+ fi
+
+ COND_MONOLITHIC_0_USE_ODBC_1="#"
+ if test "x$MONOLITHIC" = "x0" -a "x$USE_ODBC" = "x1" ; then
+ COND_MONOLITHIC_0_USE_ODBC_1=""
+ fi
+
+ COND_MONOLITHIC_1="#"
+ if test "x$MONOLITHIC" = "x1" ; then
+ COND_MONOLITHIC_1=""
+ fi
+
+ COND_MONOLITHIC_1_SHARED_0="#"
+ if test "x$MONOLITHIC" = "x1" -a "x$SHARED" = "x0" ; then
+ COND_MONOLITHIC_1_SHARED_0=""
+ fi
+
+ COND_MONOLITHIC_1_SHARED_1="#"
+ if test "x$MONOLITHIC" = "x1" -a "x$SHARED" = "x1" ; then
+ COND_MONOLITHIC_1_SHARED_1=""
+ fi
+
+ COND_OFFICIAL_BUILD_0_PLATFORM_WIN32_1="#"
+ if test "x$OFFICIAL_BUILD" = "x0" -a "x$PLATFORM_WIN32" = "x1" ; then
+ COND_OFFICIAL_BUILD_0_PLATFORM_WIN32_1=""
+ fi
+
+ COND_OFFICIAL_BUILD_1_PLATFORM_WIN32_1="#"
+ if test "x$OFFICIAL_BUILD" = "x1" -a "x$PLATFORM_WIN32" = "x1" ; then
+ COND_OFFICIAL_BUILD_1_PLATFORM_WIN32_1=""
+ fi
+
+ COND_PLATFORM_MACOSX_0_USE_SOVERSION_1="#"
+ if test "x$PLATFORM_MACOSX" = "x0" -a "x$USE_SOVERSION" = "x1" ; then
+ COND_PLATFORM_MACOSX_0_USE_SOVERSION_1=""
+ fi
+
+ COND_PLATFORM_MACOSX_1="#"
+ if test "x$PLATFORM_MACOSX" = "x1" ; then
+ COND_PLATFORM_MACOSX_1=""
+ fi
+
+ COND_PLATFORM_MACOSX_1_TOOLKIT_COCOA="#"
+ if test "x$PLATFORM_MACOSX" = "x1" -a "x$TOOLKIT" = "xCOCOA" ; then
+ COND_PLATFORM_MACOSX_1_TOOLKIT_COCOA=""
+ fi
+
+ COND_PLATFORM_MACOSX_1_TOOLKIT_GTK="#"
+ if test "x$PLATFORM_MACOSX" = "x1" -a "x$TOOLKIT" = "xGTK" ; then
+ COND_PLATFORM_MACOSX_1_TOOLKIT_GTK=""
+ fi
+
+ COND_PLATFORM_MACOSX_1_TOOLKIT_MAC="#"
+ if test "x$PLATFORM_MACOSX" = "x1" -a "x$TOOLKIT" = "xMAC" ; then
+ COND_PLATFORM_MACOSX_1_TOOLKIT_MAC=""
+ fi
+
+ COND_PLATFORM_MACOSX_1_USE_GUI_1="#"
+ if test "x$PLATFORM_MACOSX" = "x1" -a "x$USE_GUI" = "x1" ; then
+ COND_PLATFORM_MACOSX_1_USE_GUI_1=""
+ fi
+
+ COND_PLATFORM_MACOSX_1_USE_SOVERSION_1="#"
+ if test "x$PLATFORM_MACOSX" = "x1" -a "x$USE_SOVERSION" = "x1" ; then
+ COND_PLATFORM_MACOSX_1_USE_SOVERSION_1=""
+ fi
+
+ COND_PLATFORM_MAC_1="#"
+ if test "x$PLATFORM_MAC" = "x1" ; then
+ COND_PLATFORM_MAC_1=""
+ fi
+
+ COND_PLATFORM_OS2_1="#"
+ if test "x$PLATFORM_OS2" = "x1" ; then
+ COND_PLATFORM_OS2_1=""
+ fi
+
+ COND_PLATFORM_UNIX_0="#"
+ if test "x$PLATFORM_UNIX" = "x0" ; then
+ COND_PLATFORM_UNIX_0=""
+ fi
+
+ COND_PLATFORM_UNIX_1="#"
+ if test "x$PLATFORM_UNIX" = "x1" ; then
+ COND_PLATFORM_UNIX_1=""
+ fi
+
+ COND_PLATFORM_UNIX_1_USE_GUI_1="#"
+ if test "x$PLATFORM_UNIX" = "x1" -a "x$USE_GUI" = "x1" ; then
+ COND_PLATFORM_UNIX_1_USE_GUI_1=""
+ fi
+
+ COND_PLATFORM_UNIX_1_USE_PLUGINS_0="#"
+ if test "x$PLATFORM_UNIX" = "x1" -a "x$USE_PLUGINS" = "x0" ; then
+ COND_PLATFORM_UNIX_1_USE_PLUGINS_0=""
+ fi
+
+ COND_PLATFORM_WIN32_0="#"
+ if test "x$PLATFORM_WIN32" = "x0" ; then
+ COND_PLATFORM_WIN32_0=""
+ fi
+
+ COND_PLATFORM_WIN32_1="#"
+ if test "x$PLATFORM_WIN32" = "x1" ; then
+ COND_PLATFORM_WIN32_1=""
+ fi
+
+ COND_SHARED_0="#"
+ if test "x$SHARED" = "x0" ; then
+ COND_SHARED_0=""
+ fi
+
+ COND_SHARED_0_USE_GUI_1_USE_OPENGL_1="#"
+ if test "x$SHARED" = "x0" -a "x$USE_GUI" = "x1" -a "x$USE_OPENGL" = "x1" ; then
+ COND_SHARED_0_USE_GUI_1_USE_OPENGL_1=""
+ fi
+
+ COND_SHARED_0_USE_GUI_1_WXUSE_LIBJPEG_BUILTIN="#"
+ if test "x$SHARED" = "x0" -a "x$USE_GUI" = "x1" -a "x$wxUSE_LIBJPEG" = "xbuiltin" ; then
+ COND_SHARED_0_USE_GUI_1_WXUSE_LIBJPEG_BUILTIN=""
+ fi
+
+ COND_SHARED_0_USE_GUI_1_WXUSE_LIBPNG_BUILTIN="#"
+ if test "x$SHARED" = "x0" -a "x$USE_GUI" = "x1" -a "x$wxUSE_LIBPNG" = "xbuiltin" ; then
+ COND_SHARED_0_USE_GUI_1_WXUSE_LIBPNG_BUILTIN=""
+ fi
+
+ COND_SHARED_0_USE_GUI_1_WXUSE_LIBTIFF_BUILTIN="#"
+ if test "x$SHARED" = "x0" -a "x$USE_GUI" = "x1" -a "x$wxUSE_LIBTIFF" = "xbuiltin" ; then
+ COND_SHARED_0_USE_GUI_1_WXUSE_LIBTIFF_BUILTIN=""
+ fi
+
+ COND_SHARED_0_WXUSE_EXPAT_BUILTIN="#"
+ if test "x$SHARED" = "x0" -a "x$wxUSE_EXPAT" = "xbuiltin" ; then
+ COND_SHARED_0_WXUSE_EXPAT_BUILTIN=""
+ fi
+
+ COND_SHARED_0_WXUSE_ODBC_BUILTIN="#"
+ if test "x$SHARED" = "x0" -a "x$wxUSE_ODBC" = "xbuiltin" ; then
+ COND_SHARED_0_WXUSE_ODBC_BUILTIN=""
+ fi
+
+ COND_SHARED_0_WXUSE_REGEX_BUILTIN="#"
+ if test "x$SHARED" = "x0" -a "x$wxUSE_REGEX" = "xbuiltin" ; then
+ COND_SHARED_0_WXUSE_REGEX_BUILTIN=""
+ fi
+
+ COND_SHARED_0_WXUSE_ZLIB_BUILTIN="#"
+ if test "x$SHARED" = "x0" -a "x$wxUSE_ZLIB" = "xbuiltin" ; then
+ COND_SHARED_0_WXUSE_ZLIB_BUILTIN=""
+ fi
+
+ COND_SHARED_1="#"
+ if test "x$SHARED" = "x1" ; then
+ COND_SHARED_1=""
+ fi
+
+ COND_SHARED_1_USE_GUI_1_USE_OPENGL_1="#"
+ if test "x$SHARED" = "x1" -a "x$USE_GUI" = "x1" -a "x$USE_OPENGL" = "x1" ; then
+ COND_SHARED_1_USE_GUI_1_USE_OPENGL_1=""
+ fi
+
+ COND_TOOLKIT_COCOA="#"
+ if test "x$TOOLKIT" = "xCOCOA" ; then
+ COND_TOOLKIT_COCOA=""
+ fi
+
+ COND_TOOLKIT_COCOA_USE_GUI_1_WXUNIV_0="#"
+ if test "x$TOOLKIT" = "xCOCOA" -a "x$USE_GUI" = "x1" -a "x$WXUNIV" = "x0" ; then
+ COND_TOOLKIT_COCOA_USE_GUI_1_WXUNIV_0=""
+ fi
+
+ COND_TOOLKIT_GTK="#"
+ if test "x$TOOLKIT" = "xGTK" ; then
+ COND_TOOLKIT_GTK=""
+ fi
+
+ COND_TOOLKIT_GTK_USE_GUI_1="#"
+ if test "x$TOOLKIT" = "xGTK" -a "x$USE_GUI" = "x1" ; then
+ COND_TOOLKIT_GTK_USE_GUI_1=""
+ fi
+
+ COND_TOOLKIT_GTK_USE_GUI_1_WXUNIV_0="#"
+ if test "x$TOOLKIT" = "xGTK" -a "x$USE_GUI" = "x1" -a "x$WXUNIV" = "x0" ; then
+ COND_TOOLKIT_GTK_USE_GUI_1_WXUNIV_0=""
+ fi
+
+ COND_TOOLKIT_MAC="#"
+ if test "x$TOOLKIT" = "xMAC" ; then
+ COND_TOOLKIT_MAC=""
+ fi
+
+ COND_TOOLKIT_MAC_USE_GUI_1="#"
+ if test "x$TOOLKIT" = "xMAC" -a "x$USE_GUI" = "x1" ; then
+ COND_TOOLKIT_MAC_USE_GUI_1=""
+ fi
+
+ COND_TOOLKIT_MAC_USE_GUI_1_WXUNIV_0="#"
+ if test "x$TOOLKIT" = "xMAC" -a "x$USE_GUI" = "x1" -a "x$WXUNIV" = "x0" ; then
+ COND_TOOLKIT_MAC_USE_GUI_1_WXUNIV_0=""
+ fi
+
+ COND_TOOLKIT_MGL="#"
+ if test "x$TOOLKIT" = "xMGL" ; then
+ COND_TOOLKIT_MGL=""
+ fi
+
+ COND_TOOLKIT_MGL_USE_GUI_1="#"
+ if test "x$TOOLKIT" = "xMGL" -a "x$USE_GUI" = "x1" ; then
+ COND_TOOLKIT_MGL_USE_GUI_1=""
+ fi
+
+ COND_TOOLKIT_MOTIF="#"
+ if test "x$TOOLKIT" = "xMOTIF" ; then
+ COND_TOOLKIT_MOTIF=""
+ fi
+
+ COND_TOOLKIT_MOTIF_USE_GUI_1="#"
+ if test "x$TOOLKIT" = "xMOTIF" -a "x$USE_GUI" = "x1" ; then
+ COND_TOOLKIT_MOTIF_USE_GUI_1=""
+ fi
+
+ COND_TOOLKIT_MOTIF_USE_GUI_1_WXUNIV_0="#"
+ if test "x$TOOLKIT" = "xMOTIF" -a "x$USE_GUI" = "x1" -a "x$WXUNIV" = "x0" ; then
+ COND_TOOLKIT_MOTIF_USE_GUI_1_WXUNIV_0=""
+ fi
+
+ COND_TOOLKIT_MSW="#"
+ if test "x$TOOLKIT" = "xMSW" ; then
+ COND_TOOLKIT_MSW=""
+ fi
+
+ COND_TOOLKIT_MSW_USE_GUI_1="#"
+ if test "x$TOOLKIT" = "xMSW" -a "x$USE_GUI" = "x1" ; then
+ COND_TOOLKIT_MSW_USE_GUI_1=""
+ fi
+
+ COND_TOOLKIT_MSW_USE_GUI_1_WXUNIV_0="#"
+ if test "x$TOOLKIT" = "xMSW" -a "x$USE_GUI" = "x1" -a "x$WXUNIV" = "x0" ; then
+ COND_TOOLKIT_MSW_USE_GUI_1_WXUNIV_0=""
+ fi